Explorar el Código

Add ffood wrappers ffdoc and ffmanage

Alois Mahdal hace 10 años
padre
commit
5eaf341596
Se han modificado 3 ficheros con 51 adiciones y 0 borrados
  1. 14
    0
      bin/ffdoc.in
  2. 35
    0
      bin/ffmanage.in
  3. 2
    0
      setup/mk.sh

+ 14
- 0
bin/ffdoc.in Ver fichero

@@ -0,0 +1,14 @@
1
+#!/bin/bash
2
+
3
+. __FFOOD_DIR__/ffood.sh
4
+
5
+ffood import core
6
+
7
+
8
+usage() {
9
+    usage_is "module[.function]"
10
+}
11
+
12
+target=$1
13
+test -n "$target" || usage
14
+ffood doc "$target"

+ 35
- 0
bin/ffmanage.in Ver fichero

@@ -0,0 +1,35 @@
1
+#!/bin/bash
2
+
3
+. __FFOOD_DIR__/ffood.sh
4
+
5
+ffood import core
6
+
7
+
8
+usage() {
9
+    usage_is "[-d] --list-modules|--list-functions [module]"
10
+}
11
+
12
+while true; do case $1 in
13
+        -d|--debug)
14
+            FFOOD_DEBUG=true;
15
+            shift;
16
+            ;;
17
+        --list-modules)
18
+            ffood _list_all_modules
19
+            exit $?
20
+            ;;
21
+        --list-functions)
22
+            if test -n "$2";
23
+            then
24
+                ffood _list_functions_in_mfile $(ffood _list_mfiles_like $2)
25
+                exit $?
26
+            else
27
+                ffood _list_all_functions
28
+                exit $?
29
+            fi
30
+            ;;
31
+        "")
32
+            usage
33
+            ;;
34
+    esac;
35
+done

+ 2
- 0
setup/mk.sh Ver fichero

@@ -13,7 +13,9 @@ docdir=${DESTDIR}${PREFIX}/share/doc/ffood
13 13
 shrdir=${DESTDIR}${PREFIX}/share/ffood
14 14
 
15 15
 list_of_bins() {
16
+    echo bin/ffdoc
16 17
     echo bin/fff
18
+    echo bin/ffmanage
17 19
 }
18 20
 
19 21
 list_of_installed_bins() {